#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    srand(time(0));
    int n, i, a, b;
    cin >> n;
    for(i = 0; i < n - 1; i++){
        cin >> a >> b;
    }
    cout << rand() % (int)sqrt(n) + 1;
    return 0;
}